import { OnInit, EventEmitter, ElementRef, AfterViewInit, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
import { InputComponent } from '../input/input.component';
import { IAutocompleteOption } from './autocomplete.types';
export declare class AutocompleteComponent extends FormControlBase<IAutocompleteOption> implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    private idService;
    private eRef;
    customLookup: any[];
    displayKey: boolean;
    helpText: string;
    id: string;
    label: string;
    maxResults: number;
    options: IAutocompleteOption[];
    placeholder: string;
    preselect: string;
    showAll: boolean;
    size: string;
    triggerAfter: string | number;
    selected: EventEmitter<{}>;
    $Card: any;
    $CardResults: ElementRef;
    $InputSearch: ElementRef<InputComponent>;
    open: boolean;
    query: string;
    elements: any[];
    filteredElements: any[];
    toggleSelectPosition: number;
    selectedElement: number;
    close: boolean;
    constructor(idService: IdService, eRef: ElementRef);
    clickout(event: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    queryUpdate(e: any): void;
    Autocomplete_cleanKey(key: any): any;
    Autocomplete_close(e: any): void;
    Autocomplete_init(): void;
    Autocomplete_filters(): void;
    Autocomplete_formatDisplay(index: any, val: any): any;
    Autocomplete_preselect(): void;
    $_Autocomplete_toggleSelect(key: any): void;
    setQuery(chosenElement: IAutocompleteOption): string;
    Autocomplete_updateValue(position: any): void;
    Autocomplete_clear(): void;
    writeValue(val: IAutocompleteOption): void;
    activeDescendant(): string;
}
