import { OnChanges, TemplateRef, EventEmitter, OnDestroy } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TIconType } from '../icon/icon.types';
import { TButtonType, TButtonColor, TButtonChevron, TButtonSize, TButtonLoadingType, TButtonFullWidth } from './button.types';
export declare class ButtonComponent implements OnChanges, OnDestroy {
    private idService;
    id: string;
    isLoading: boolean;
    width: string;
    type: TButtonType;
    color: TButtonColor;
    outline: boolean;
    chevron: TButtonChevron;
    disabled: boolean;
    size: TButtonSize;
    fullWidth: TButtonFullWidth;
    icon: string;
    iconWeight: TIconType;
    link: string;
    loading: boolean;
    loadingType: TButtonLoadingType;
    routerLink: string | any[];
    queryParams: {
        [key: string]: string;
    };
    buttonClick: EventEmitter<{}>;
    buttonFocus: EventEmitter<{}>;
    buttonMouseOver: EventEmitter<{}>;
    buttonMouseOut: EventEmitter<{}>;
    ref: TemplateRef<any>;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    ngOnChanges(): void;
    calculateClasses(): {};
    hasContent(): boolean;
}
