import { AfterContentInit, ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
import { ICheckboxUpdateEvent } from './checkbox.types';
import { Observable } from 'rxjs';
export declare class CheckboxComponent extends FormControlBase<boolean> implements OnDestroy, OnChanges, AfterContentInit {
    private idService;
    disabled: boolean;
    id: string;
    name: string;
    ariaLabel: string;
    ariaLabelledBy: string;
    model: string | boolean;
    modelChange: EventEmitter<string | boolean>;
    checkBoxUpdate: EventEmitter<ICheckboxUpdateEvent>;
    checkboxRef: ElementRef;
    checkboxWrap: ElementRef;
    mouseoutObservable: Observable<any>;
    constructor(idService: IdService);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    toggleHandler(): void;
    removeFocus(): void;
}
