import { OnInit, EventEmitter } from '@angular/core';
import { IdService } from '../../../shared/services/id.service';
import { Locale } from '../datatable.models';
import { IDatatablePaginatorEvent, IDatatablePageSizeEvent } from './datatable-paginator.types';
import { IGenericSelectOption } from '../../../shared/types/forms';
import { FormGroup, AbstractControl } from '@angular/forms';
export declare class DatatablePaginatorComponent implements OnInit {
    private idService;
    id: string;
    totalPages: number;
    paginationDisplay: number[];
    activePage: number;
    paginationDisplayPreselected: string;
    locale: Locale;
    onPaginatorButtonClicked: EventEmitter<IDatatablePaginatorEvent>;
    onPageSizeSelectChanged: EventEmitter<IDatatablePageSizeEvent>;
    displayOptions: IGenericSelectOption[];
    currentPage: number;
    private _activePage;
    private _paginationDisplay;
    private _defaultPaginationDisplayPreselected;
    private _paginationDisplayPreselected;
    readonly pageDisplay: number[];
    readonly pageSize: AbstractControl;
    form: FormGroup;
    constructor(idService: IdService);
    ngOnInit(): void;
    getDisplayOptions(): IGenericSelectOption[];
    onFirstPageButtonClicked(clickEvent?: Event): void;
    onPreviousPageButtonClicked(clickEvent?: Event): void;
    onNextPageButtonClicked(clickEvent?: Event): void;
    onPageNumberButtonClicked(pageNumber: number): void;
    onLastPageButtonClicked(event: Event): void;
    onPageSizeSelectChange(selectEvent: IGenericSelectOption): void;
}
