import { IGenericSelectOption } from '../../shared/types/forms';
import { TInputUnitPosition, TInputFormatLang } from '../input/input.types';
import { TTooltipSize } from '../tooltip/tooltip.types';
export declare enum DataTypes {
    select = "select",
    number = "number",
    string = "string",
    date = "date",
    slot = "slot"
}
interface ColumnHeader {
    header: string;
    headerGroup?: number;
    headerGroupLabel?: string;
}
interface ColumnDisplay {
    show?: boolean;
    showForLargeScreen?: boolean;
    showForMediumScreen?: boolean;
    showForSmallScreen?: boolean;
    fixed?: boolean;
    style?: {
        [cssRule: string]: string;
    };
}
interface ColumnExtensions {
    sortable?: boolean;
    sortField?: string;
    tooltip?: string;
    tooltipIcon?: string;
    tooltipSize?: TTooltipSize;
}
interface ColumnData {
    dataType: DataTypes;
    dataUnit?: string;
    dataUnitPosition?: TInputUnitPosition;
    formatNumber?: boolean;
    formatNumberLang?: TInputFormatLang;
    formatNumberDecimal?: number;
    arrow?: boolean;
    signed?: boolean;
    colored?: boolean;
    searchable?: boolean;
    selectOptions?: IGenericSelectOption[];
    dataDateFormat?: {
        [key: string]: any;
    };
    dataDateLocale?: string;
}
export interface Column extends ColumnHeader, ColumnDisplay, ColumnExtensions, ColumnData {
    main?: boolean;
    noneditable?: boolean;
    isMandatory?: boolean;
}
export declare class Locale {
    editEdit: string;
    editSave: string;
    editEditAll: string;
    editSaveAll: string;
    advancedSearchPlaceholder: string;
    columnFilterLabel: string;
    columnFilterCheckedText: string;
    globalSearchPlaceholder: string;
    paginationPreviousLabel: string;
    paginationNextLabel: string;
    paginationDisplayLabel: string;
    downloadDataAsJSONLabel: string;
    downloadDataAsCSVLabel: string;
    copyDataLabel: string;
    copiedSuccessfulMessage: string;
}
export interface Row {
    id: string;
    cells: any[];
    checked?: boolean;
    expandableRowRef?: string;
}
export {};
