import { OnInit, EventEmitter, ElementRef, Renderer2, OnDestroy, OnChanges } from '@angular/core';
import { DateTimeAdapter } from 'ng-pick-datetime';
import { IdService, FormControlBase } from '../../shared/index';
import { IDatepickerDisabledDates } from './datepicker.types';
export declare const CUSTOM_FORMATS: {
    parseInput: string;
    fullPickerInput: string;
    datePickerInput: string;
    timePickerInput: string;
    monthYearLabel: string;
    dateA11yLabel: string;
    monthYearA11yLabel: string;
};
export declare class DatepickerComponent extends FormControlBase<string> implements OnInit, OnDestroy, OnChanges {
    private document;
    private owlDateTimeFormat;
    private dateTimeAdapter;
    private renderer;
    private idService;
    isDateValid: boolean;
    value: any;
    format: string;
    openDate: Date | string;
    disabledDates: IDatepickerDisabledDates;
    language: string;
    _value: any;
    overlayRef: any;
    _isDateValid: boolean;
    dateMinValue: any;
    dateMaxValue: any;
    name: string;
    errorLabel: string;
    helpText: string;
    label: string;
    ariaLabelledby: string;
    id: string;
    placeholder: string;
    required: boolean;
    inline: boolean;
    isDisabled: boolean;
    mondayFirst: boolean;
    typeable: boolean;
    _openDate: Date | string;
    opened: EventEmitter<{}>;
    closed: EventEmitter<{}>;
    selected: EventEmitter<{}>;
    onInput: EventEmitter<{}>;
    cleared: EventEmitter<{}>;
    changedMonth: EventEmitter<{}>;
    changedYear: EventEmitter<{}>;
    dateInputElm: ElementRef;
    constructor(document: any, owlDateTimeFormat: any, dateTimeAdapter: DateTimeAdapter<any>, renderer: Renderer2, idService: IdService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    pickerOpened(): void;
    pickerClosed(): void;
    valueChanged(newValue: any): void;
    onInputBlur(e: any): void;
    onYearChange(e: any): void;
    onMonthChange(e: any): void;
}
