import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TIconType, TIconSize, TIconRotation, TIconAnimation, TIconCircleSize } from './icon.types';
export declare class IconComponent implements OnInit, OnDestroy {
    private idService;
    block: string;
    id: string;
    type: TIconType;
    icon: string;
    size: TIconSize;
    fixedWidth: boolean;
    rotation: TIconRotation;
    animation: TIconAnimation;
    animateOn: string;
    circle: boolean;
    circleBorder: boolean;
    circleColor: string;
    circleSize: TIconCircleSize;
    title: boolean;
    label: string;
    role: string;
    keyUp: EventEmitter<{}>;
    click: EventEmitter<{}>;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    validateInputParameters(): void;
    calculateWrapperClasses(): {};
    calculateIconClasses(): {};
    labelGen(): string;
    onKeyUp($event: any): void;
    onClick($event: any): void;
    iconType(): string;
}
