import { OnInit, EventEmitter, ElementRef, AfterViewInit, OnDestroy, SimpleChanges } from '@angular/core';
import { NgModel } from '@angular/forms';
import { IdService, langTypes, FormControlBase } from '../../shared/index';
import { TInputSize, TInputSizeWidth, TInputType, TInputUnitPosition, IInputTextUpdateEvent } from './input.types';
export declare const INPUT_VALUE_ACCESSOR: any;
export declare class InputComponent extends FormControlBase<string> implements OnInit, OnDestroy, AfterViewInit {
    private idService;
    defaultError: string;
    focused: boolean;
    id: string;
    placeholder: string;
    label: string;
    name: string;
    helpText: string;
    errorLabel: string;
    unit: string;
    validateRegex: string;
    value: string;
    ariaAttributes: object;
    size: TInputSize;
    sizeWidth: TInputSizeWidth;
    type: TInputType;
    search: boolean;
    secure: boolean;
    required: boolean;
    noWidth: boolean;
    disabled: boolean;
    charCount: string | number;
    unitPosition: TInputUnitPosition;
    formatNumberLive: boolean;
    formatLang: langTypes;
    displayError: boolean;
    displayErrorColor: boolean;
    ariaDescribedBy: string;
    valueChange: EventEmitter<string>;
    inputTextUpdate: EventEmitter<IInputTextUpdateEvent>;
    onInput: EventEmitter<string>;
    focusOut: EventEmitter<string>;
    clear: EventEmitter<string>;
    inputElm: ElementRef;
    inputElmControl: NgModel;
    slotError: ElementRef;
    constructor(idService: IdService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    writeValue(text: any): void;
    typeGen(): TInputType;
    calculateClasses(): {};
    replaceAndFormatNumberLive(e: any): void;
    onFocus(e: any): void;
    clearInput(): void;
    onBlur(e: any): void;
    onKeyUp(e: any): void;
    checkForErrors(val: string | number): boolean;
    describedbyGen(): string;
}
