import { EventEmitter, AfterContentInit, OnDestroy, SimpleChanges } from '@angular/core';
import { IdService, IGenericSelectOption, FormControlBase } from '../../shared/index';
export declare class SelectComponent extends FormControlBase<string> implements AfterContentInit, OnDestroy {
    private idService;
    disabled: string | boolean;
    helpText: string;
    id: string;
    label: string;
    name: string;
    ariaLabel: string;
    options: IGenericSelectOption[];
    model: string;
    preselect: string;
    size: 'large' | 'small';
    sizeWidth: string;
    selectUpdate: EventEmitter<IGenericSelectOption>;
    modelChange: EventEmitter<string>;
    private _options;
    constructor(idService: IdService);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    selectChangeHandler(selectEvent: Event): void;
    getOptionsUpdated(selectedValue: string): IGenericSelectOption[];
    classGen(): {
        [x: string]: string | boolean;
        disabled: boolean;
    };
    writeValue(value: string): void;
}
