import { OnInit, EventEmitter, AfterContentInit, OnDestroy, ElementRef, OnChanges, SimpleChanges, AfterViewInit, QueryList } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { SidenavItemComponent } from './sidenav-item/sidenav-item.component';
import { Subscription } from 'rxjs';
import { ActivatedRouteSnapshot } from '@angular/router';
import { SidenavService } from './sidenav.service';
import { IInputTextUpdateEvent } from '../input/input.types';
import { ISidenavEvent } from './sidenav.types';
export declare class SidenavComponent implements OnInit, OnDestroy, OnChanges, AfterContentInit, AfterViewInit {
    private idService;
    private sidenavService;
    nspace: string;
    id: string;
    arrows: boolean;
    currentPage: ActivatedRouteSnapshot;
    hamburgerPosition: 'left' | 'right';
    _navIsToggled: boolean;
    navIsToggled: boolean;
    search: boolean;
    searchPlaceholder: string;
    showHamburger: boolean;
    toggle: 'icon' | 'full';
    onSearch: EventEmitter<IInputTextUpdateEvent>;
    navtoggleupdate: EventEmitter<ISidenavEvent>;
    sideNav: ElementRef;
    mobileTopSlot: ElementRef;
    otherSlot: ElementRef;
    mobileBottomSlot: ElementRef;
    items: QueryList<SidenavItemComponent>;
    readonly isDisabledNavigation: boolean;
    _hamburgerIsToggled: boolean;
    hamburgerIsToggled: boolean;
    $eventBusSub: Subscription;
    constructor(idService: IdService, sidenavService: SidenavService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    mountEventBus(): void;
    asElement(element: Element): HTMLElement;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    toggleLinks(toggled: boolean): void;
    toggleLinksMobile(e: any): void;
    emitSearch(searchEvent: IInputTextUpdateEvent): void;
    setActiveExpand(itemId: string): void;
    getCurrentPageKey(): void;
}
