import { OnInit, OnDestroy, AfterContentInit, ElementRef, QueryList, AfterViewChecked, EventEmitter } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { TabContentComponent } from './tab-content/tab-content.component';
import { ITransitionEvent } from '../transition/transition.types';
export declare class TabComponent implements OnInit, OnDestroy, AfterContentInit, AfterViewChecked {
    private idService;
    id: string;
    default: number | string;
    disabled: boolean;
    scrollable: boolean;
    scrollColor: string;
    small: boolean;
    transition: boolean;
    flush: boolean;
    showAll: boolean;
    showAllText: string;
    showAllFirst: boolean;
    current: object;
    arrowLeftLabel: string;
    arrowRightLabel: string;
    tabs: QueryList<TabContentComponent>;
    tabList: ElementRef;
    tabWrap: ElementRef;
    tabupdate: EventEmitter<{
        active: string | number;
        id: string;
    }>;
    direction: string;
    scrollDisabledLeft: boolean;
    scrollDisabledRight: boolean;
    isScrollable: boolean;
    contentTransitionState: boolean;
    nextActiveTab: TabContentComponent;
    nextActiveIndex: number;
    lastActiveIndex: number;
    constructor(idService: IdService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    determineIfScrollable(): void;
    calculateClasses(): {};
    getBgColor(direction?: string): {
        'background-image': string;
    };
    toggleContentTransition(): void;
    determineNextActiveDirection(lastActiveIndex: number, nextActiveIndex: number): 'right' | 'left';
    determineLastActiveDirection(lastActiveIndex: number, nextActiveIndex: number): 'right' | 'left';
    preSwitchTab(tab: TabContentComponent, event: Event): void;
    onTransitionEvent(e: ITransitionEvent): void;
    scrollTabs(dir: any): void;
    scrollLink(el: any): void;
    scrollTo(el: any, step: any, dir: string, start: any, dist: any): void;
    updateArrows(): void;
}
