import { OnInit, OnDestroy, EventEmitter, SimpleChanges } from '@angular/core';
import { IdService, FormControlBase } from '../../shared/index';
export declare class TextareaComponent extends FormControlBase<string> implements OnInit, OnDestroy {
    private idService;
    id: string;
    showError: boolean;
    cols: number | false;
    disabled: boolean;
    errorLabel: string;
    helpText: string;
    label: string;
    maxlength: number;
    name: string;
    placeholder: string;
    readonly: boolean;
    required: boolean;
    resizing: boolean;
    rows: number | false;
    wrap: 'hard' | 'soft';
    model: string;
    modelChange: EventEmitter<{}>;
    constructor(idService: IdService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Calculates the classes, primarily to determine if the class `resizeable`
     * should be applied to the textarea element.
     */
    calculateClasses(): {};
    /**
     * When the ngModelChange event is fired, validation event is fired.
     * Updated model gets emitted.
     */
    processChange(value: string): void;
    /**
     * For validation purposes, currently the only validation for this field is required.
     */
    error(): boolean;
}
