import { ElementRef, OnChanges, OnDestroy, OnInit, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { Subscription } from 'rxjs';
import { IdService } from '../../shared/services/id.service';
import { PopoverService } from '../../shared/services/popover.service';
import { TTooltipPosition, TTooltipPositionX, TTooltipSize, TTooltipTransition } from './tooltip.types';
export declare class TooltipComponent implements OnInit, OnDestroy, OnChanges {
    private idService;
    private popoverService;
    private cdr;
    private eRef;
    active: boolean;
    clickable: boolean;
    hover: false;
    icon?: string;
    iconWeight?: 'solid' | 'regular' | 'light';
    id: string;
    labelTrigger: string;
    message: string;
    position?: TTooltipPosition;
    positionX?: TTooltipPositionX;
    _size: TTooltipSize;
    size: TTooltipSize;
    title: string;
    transition?: TTooltipTransition;
    absolute: boolean;
    isOpen: boolean;
    readonly topGen: number;
    readonly leftGen: number;
    readonly overflowLeft: number;
    self: ElementRef;
    content: ElementRef;
    contentSlot: ElementRef;
    triggerSlot: ElementRef;
    clickout(event: any): void;
    touchend(event: any): void;
    readonly contentSlotExists: boolean;
    readonly triggerSlotExists: boolean;
    $popoverToggleSub: Subscription;
    constructor(idService: IdService, popoverService: PopoverService, cdr: ChangeDetectorRef, eRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    toggle(event: any): void;
    hoverToggle(toggle: boolean): void;
    transitionGen(): string;
    classGen(): string[];
}
