export interface animationFactoryOptions {
    targets: string | Node | NodeList | Array<string | Node | NodeList>;
    duration: number;
    onBegin?: (anim: object) => void;
    onComplete?: (anim: object) => void;
    height?: string;
}
declare type animationFactory = (params: animationFactoryOptions) => object;
interface animationSet {
    [type: string]: animationFactory[];
}
export declare const easeInOut = "cubicBezier(0.420, 0.000, 0.580, 1.000)";
export declare function getCssFriendlyHeight(height: number, unit?: string, defaultHeight?: string): string;
export declare const opacityEnter: (params: animationFactoryOptions) => any;
export declare const opacityLeave: (params: animationFactoryOptions) => any;
export declare const opacityUpEnter: (params: animationFactoryOptions) => any;
export declare const opacityUpLeave: (params: animationFactoryOptions) => any;
export declare const opacityDownEnter: (params: animationFactoryOptions) => any;
export declare const opacityDownLeave: (params: animationFactoryOptions) => any;
export declare const opacityLeftEnter: (params: animationFactoryOptions) => any;
export declare const opacityLeftLeave: (params: animationFactoryOptions) => any;
export declare const opacityRightEnter: (params: animationFactoryOptions) => any;
export declare const opacityRightLeave: (params: animationFactoryOptions) => any;
export declare const opacityHeightEnter: (params: animationFactoryOptions) => any;
export declare const opacityHeightLeave: (params: animationFactoryOptions) => any;
export declare const heightEnter: (params: animationFactoryOptions) => any;
export declare const heightLeave: (params: animationFactoryOptions) => any;
export declare const opacityMaxHeightEnter: (params: animationFactoryOptions) => any;
export declare const opacityMaxHeightLeave: (params: animationFactoryOptions) => any;
export declare const maxHeightEnter: (params: animationFactoryOptions) => any;
export declare const maxHeightLeave: (params: animationFactoryOptions) => any;
export declare const baseTransitionAnimations: animationSet;
export {};
