import { OnInit, OnDestroy, OnChanges, SimpleChanges, EventEmitter, ElementRef, AfterContentInit, AfterViewInit } from '@angular/core';
import { IdService } from '../../shared/services/id.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { TTransitionTypes, ITransitionEvent } from './transition.types';
export declare class TransitionComponent implements OnInit, OnDestroy, OnChanges, AfterContentInit, AfterViewInit {
    private idService;
    private hostRef;
    nspace: string;
    id: string;
    type: TTransitionTypes;
    group: boolean;
    state: boolean;
    duration: number;
    forceState: boolean;
    isAbsolute: boolean;
    bindToContent: boolean;
    softHide: boolean;
    onTransition: EventEmitter<ITransitionEvent>;
    hidden: boolean;
    trueHeight: number;
    trueMaxHeight: string;
    entryAnimRef: any;
    exitAnimRef: any;
    $animationState: BehaviorSubject<boolean>;
    $animationStateSub: Subscription;
    transitionContent: ElementRef;
    constructor(idService: IdService, hostRef: ElementRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    getDefaultDuration(type: TTransitionTypes): number;
    enableAbsoluteBox(): void;
    bounceBackState(delay: number): void;
    hasContent(): boolean;
    getTargetElement(): HTMLElement;
    getContentContainerElement(): HTMLElement;
    getContentElement(): HTMLElement;
    getTargetNode(): Node;
    getContentContainerNode(): HTMLElement;
    getContentNode(): ChildNode;
    setTrueHeight(target: HTMLElement): void;
    setTrueMaxHeight(target: HTMLElement): void;
    toggleTargetVisibility(target: HTMLElement): void;
    hideTarget(target: HTMLElement): void;
    showTarget(target: HTMLElement): void;
    mountAnimationStateListener(): void;
    isHeight(): boolean;
    isMaxHeight(): boolean;
    loadAnimation(type: string): void;
    removeAnimations(targetElement?: Node): void;
    resetAnimations(targetElement?: Node): void;
    entryAnimationOnBegin(anim: any): void;
    entryAnimationOnComplete(anim: any): void;
    exitAnimationOnBegin(anim: any): void;
    exitAnimationOnComplete(anim: any): void;
    animateEntry(): void;
    animateExit(): void;
}
