import { ControlValueAccessor } from '@angular/forms';
import { OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
export declare class ValueAccessorBase<T> implements ControlValueAccessor, OnChanges, OnDestroy {
    private _innerValue;
    private _isDisabled;
    private _changed;
    private _touched;
    protected destroy$: Subject<boolean>;
    readonly disabledState: boolean;
    innerValue: T;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    setModel(value: T): void;
    changed(value: T): void;
    touch(): void;
    writeValue(value: T): void;
    registerOnChange(fn: (value: T) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(isDisabled: boolean): void;
}
