import { ElementRef, OnDestroy } from '@angular/core';
import { BehaviorSubject, Subscription } from 'rxjs';
export interface Box {
    left?: number;
    right?: number;
    top?: number;
    bottom?: number;
    width?: number;
    height?: number;
    x?: number;
    y?: number;
}
export declare class PopoverService implements OnDestroy {
    isOpen: boolean;
    triggerBox: Box;
    popoverBox: Box;
    offset: number;
    active: boolean;
    hover: boolean;
    clickable: boolean;
    position: 'top' | 'right' | 'bottom' | 'left';
    positionX: 'left' | 'right' | 'center';
    triggerRef: Node;
    popoverRef: Node;
    $popoverToggle: BehaviorSubject<boolean>;
    windowEventListeners: Subscription[];
    private _topGen;
    private _leftGen;
    private _overRight;
    private _overLeft;
    private _overBoth;
    private _overflowLeft;
    readonly topGen: number;
    readonly leftGen: number;
    readonly overflowLeft: number;
    readonly overLeft: boolean;
    readonly overRight: boolean;
    readonly overBoth: boolean;
    constructor();
    ngOnDestroy(): void;
    syncProps(propsObj: {
        clickable: boolean;
        active: boolean;
        hover: boolean;
        position: 'top' | 'right' | 'bottom' | 'left';
        positionX: 'left' | 'right' | 'center';
        offset: number;
        triggerRef: Node;
        popoverRef: Node;
    }): void;
    $_Popover_hoverToggle(display: boolean): void;
    $_Popover_reset(): void;
    $_Popover_remove(popoverRef?: Node): void;
    $_Popover_toggle(event: Event, popoverRef?: ElementRef): void;
    $_Popover_toggleClose(): (event: Event) => void;
    $_Popover_position(popoverEl: Element, triggerEl: Element): void;
    enter(popoverEl: Element, triggerEl: Element): void;
}
